# List GB Bank Accounts

List objects that can be used as destinations for outbound money movement via OutboundPayment.

## Request

```curl
curl -G https://api.stripe.com/v2/core/vault/gb_bank_accounts \
  -H "Authorization: Bearer <<YOUR_SECRET_KEY>>" \
  -H "Stripe-Version: 2026-10-28.endive" \
  -d limit=10
```

### Response

```json
{
  "data": [
    {
      "id": "gbba_61TcA5qPrV7hajSRn16Tc9w10HSQBCfqQyjGBBCa8XWS",
      "object": "v2.core.vault.gb_bank_account",
      "archived": false,
      "bank_account_type": "checking",
      "bank_name": "Test Bank",
      "last4": "2345",
      "supported_currencies": [
        "gbp"
      ],
      "confirmation_of_payee": {
        "result": null,
        "status": "uninitiated"
      },
      "created": "2025-11-12T22:03:30.174Z",
      "sort_code": "108800",
      "livemode": true
    }
  ],
  "next_page_url": null,
  "previous_page_url": null
}
```

## Parameters

- `limit` (integer, optional)
  Optionally set the maximum number of results per page. Defaults to 10.

- `page` (string, optional)
  The pagination token.

## Returns

## Response attributes

- [`data`](https://docs.stripe.com/api/v2/core/vault/gb-bank-accounts/list.md?query=data) (array of objects)
  The retrieved GB Bank Accounts.

- `next_page_url` (string, nullable)
  URL to fetch the next page of the list. If there are no more pages, the value is null.

- `previous_page_url` (string, nullable)
  URL to fetch the previous page of the list. If there are no previous pages, the value is null.
